
#ifndef _INCLUDE_EXTENDED_SOURCE_TRACKER_H_
#define _INCLUDE_EXTENDED_SOURCE_TRACKER_H_

#ifdef __cplusplus
extern "C" {
#endif

extern int HASetParamExtendedSourceTracker(Param_ExtendedSourceTracker_t *param);
extern int HADynamicParamUpdateExtendedSourceTracker(Param_ExtendedSourceTracker_t *param);
extern int HAInitExtendedSourceTracker(void);
extern int ExtendedSourceTracker(int frame_count, SOURCE_DATA_ARY_t *sources);
extern int ExtendedSourceTrackerWithFilter(int frame_count, SOURCE_DATA_ARY_t *sources, SOURCE_DATA_ARY_t *target);

#ifdef __cplusplus
}
#endif

#endif /* End of _INCLUDE_EXTENDED_SOURCE_TRACKER_H_ */

